这里有一个处理图层的旧版本:
- ;;=============================================================
- ;; OffSet_CMD.lsp by Charles Alan Butler
- ;; Copyright 2004-2011
- ;; by Precision Drafting & Design All Rights Reserved.
- ;; Contact at TheSwamp.org
- ;;
- ;; Version 1.0 July 29,2004
- ;; Version 1.1 July 30,2004
- ;; Version 1.2 April 10,2008
- ;; Version 1.4 June 28, 2011 added pickfirst code
- ;; Version 1.5bata Oct 5, 2011 command line entry options
- ;;
- ;; This is a replacement of the Offset command
- ;; 'ofs' offsets to the objects layer
- ;; option to place the new object on current layer
- ;; osmode is forced on for the distance pick and
- ;; turned off for the side pick
- ;;
- ;; Thanks to sinc -richards.64879 for the "Through" coding
- ;; I blended that idea with my old offset routine
- ;;=============================================================
- (defun c:ofs () (ofs nil nil)) ; normal offset
- (defun c:ol () (ofs t nil)) ; OL - offset to current layer
- (defun c:oe () (ofs nil t)) ; OE - offset and erase source
|